package com.sqx.modules.pay.service;

import com.sqx.common.utils.Result;
import com.sqx.modules.pay.entity.PayDetails;

import java.math.BigDecimal;


/**
 * @author fang
 * @date 2020/2/26
 */
public interface WxService {

    Result payMoney(Long userId, BigDecimal money, Integer type) throws Exception;

    Result payOrder(Long userId, Long parentId, Integer type, Long addressId, Integer orderType) throws Exception;

    String payBack(String resXml,Integer type);;

    String payBackShop(String resXml, Integer type);

    boolean wxRefund(PayDetails payDetails);

    Result balanceOrder(Long userId,Long parentId, Integer orderType, Long addressId);

    Result shopCashDeposit(Long userId, Double money, String openId,Integer type) throws Exception;

    void notfiy(PayDetails payDetails);

    Result balanceBuyVip(Long userId);

    Result wxPayJsApiBuyVip(Long userId, Integer type) throws Exception;

    void notifyRider(PayDetails payDetails);

}